## MMCellInfo

MMCellInfo — Helper base object to report cell info

## Functions

MMCellType | mm_cell_info_get_cell_type ()
gboolean | mm_cell_info_get_serving ()

## Types and Values

struct | MMCellInfo

## Object Hierarchy

        GObject
        ╰── MMCellInfo
            ├── MMCellInfoCdma
            ├── MMCellInfoGsm
            ├── MMCellInfoLte
            ├── MMCellInfoNr5g
            ├── MMCellInfoTdscdma
            ╰── MMCellInfoUmts

## Description

The MMCellInfo is a base object used to report cell information.

This object is retrieved from the MMModem object with `mm_modem_get_cell_info()` or `mm_modem_get_cell_info_sync()`.

## Functions

### mm_cell_info_get_cell_type ()

    MMCellType
    mm_cell_info_get_cell_type (MMCellInfo *self);

Get the type of cell.

#### Parameters

self | a MMCellInfo. |

#### Returns

a MMCellType.

Since: 1.20

### mm_cell_info_get_serving ()

    gboolean
    mm_cell_info_get_serving (MMCellInfo *self);

Get whether the cell is a serving cell or a neighboring cell.a

#### Parameters

self | a MMCellInfo. |

#### Returns

`TRUE` if the cell is a serving cell, `FALSE` otherwise.

Since: 1.20

## Types and Values

### struct MMCellInfo

    struct MMCellInfo;

The MMCellInfo structure contains private data and should only be accessed using the provided API.